Package org.springframework.web.server.handler

# Class FilteringWebHandler

java.lang.Object
org.springframework.web.server.handler.WebHandlerDecorator
org.springframework.web.server.handler.FilteringWebHandler

All Implemented Interfaces:
  `WebHandler`

public class FilteringWebHandler extends WebHandlerDecorator
`WebHandlerDecorator` that invokes a chain of `WebFilters` before invoking the delegate `WebHandler`.

Since:
  5.0
Author:
  Rossen Stoyanchev

## Constructor Summary

Constructors
Constructor
Description
`FilteringWebHandler(WebHandler handler, List<WebFilter> filters)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`List<WebFilter>`
`getFilters()`
Return a read-only list of the configured filters.
`reactor.core.publisher.Mono<Void>`
`handle(ServerWebExchange exchange)`
Handle the web server exchange.

### Methods inherited from class org.springframework.web.server.handler.WebHandlerDecorator

`getDelegate, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FilteringWebHandler

public FilteringWebHandler(WebHandler handler, List<WebFilter> filters)
Constructor.

Parameters:
  `filters` - the chain of filters

## Method Details

### getFilters

public List<WebFilter> getFilters()
Return a read-only list of the configured filters.

### handle

public reactor.core.publisher.Mono<Void> handle(ServerWebExchange exchange)
Description copied from interface: `WebHandler`
Handle the web server exchange.

Specified by:
  `handle` in interface `WebHandler`
Overrides:
  `handle` in class `WebHandlerDecorator`
Parameters:
  `exchange` - the current server exchange
Returns:
  `Mono<Void>` to indicate when request handling is complete